%define  upstream_name MvcMailTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0.1
Release:	%mkrel 2
Summary:	This component provides a request parser that extracts request data from e-mai
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://components.ez.no/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
Requires:	ezcomponents-Mail >= 1.7
Requires:	ezcomponents-MvcTools >= 1.0
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
This component provides a request parser that extracts request data from
e-mail
messages.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/MvcMailTiein.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/MvcMailTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/MvcMailTiein
fi

%files
%defattr(-,root,root)
%doc docs/MvcMailTiein/*
%{peardir}/data/MvcMailTiein/design/class_diagram.png
%{peardir}/ezc/MvcMailTiein/exceptions/exception.php
%{peardir}/ezc/MvcMailTiein/exceptions/no_data.php
%{peardir}/ezc/MvcMailTiein/mvc_mail_autoload.php
%{peardir}/ezc/MvcMailTiein/request_filters/bugzilla.php
%{peardir}/ezc/MvcMailTiein/request_parsers/mail.php
%{peardir}/ezc/MvcMailTiein/structs/request_raw_mail.php
%{peardir}/ezc/autoload/mvc_mail_autoload.php
%{xmldir}/MvcMailTiein.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 349934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 125692
- imported package ezcomponents-MvcMailTiein

